Batch and Sequence Orders

Post a sequence of orders to be planned either manually or automatically by HyperTrack. For automatic planning, please contact the HyperTrack team to get set up.

Body Params
string | null
Defaults to null

Unique Handle of Ops Group to plan orders for

orders
array of objects
required
length ≥ 1

List of Orders which are to be planned

orders*
string
enum
required
  • scheduled mode allows customers to batch and sequence future orders into routes for worker based on their availability. This mode operates only on the upcoming routes (if exist), but does not re-plan ongoing routes.
  • manual mode allows customers to ingest orders into HT which are to be planned manually.
    • If worker_handle is provided, hypertrack will create a new route for the specified worker with the posted orders in the provided sequence.
    • In case worker_handle is not given, then hypertrack will ingest orders into system to facilitate further planning.
  • on_demand mode is to facilitate the use case where an order needs to be planned on top of an existing plan, here
    • if worker_handle is provided, then the order will be assigned to that worker, either optimally adjusted into his/her existing route (if present) OR a new route is created for the worker.
    • If worker_handle is not provided, then the order either gets adjusted to one of the available worker's route in the most optimal manner OR is added to a new route. In both scenarios, order planning makes sure Order SLAs are met. On demand mode works for future as well as live routes.
Allowed:
string | null
Defaults to null
deprecated

Driver handle to which order will be assigned to.

string | null
Defaults to null

Worker handle to which order will be assigned to.

boolean | null
Defaults to false

Flag to enable synchronous planning when the plan mode is on_demand. For scheduled mode, planning is always performed asynchronously.

enum
Defaults to osrm_full

Strategy to use for route solver. Options: osrm_full, als_full, hybrid_sparse

Allowed:
Responses

409

Conflict - Planning request already executing for one of the orders

Language
Credentials
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json